Bug 198291 - [maintainer] biology/htslib: Update to 1.2.1
Summary: [maintainer] biology/htslib: Update to 1.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2015-03-04 21:01 UTC by cartwright
Modified: 2015-03-06 12:46 UTC (History)
1 user (show)

See Also:


Attachments
Patch to update biology/htslib to 1.2.1 (5.70 KB, patch)
2015-03-04 21:01 UTC, cartwright
no flags Details | Diff
Poudriere Log for 9.3 (24.05 KB, text/x-log)
2015-03-05 17:40 UTC, cartwright
no flags Details
Poudriere Log for 10.1 (25.54 KB, text/x-log)
2015-03-05 17:40 UTC, cartwright
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description cartwright 2015-03-04 21:01:58 UTC
Created attachment 153797 [details]
Patch to update biology/htslib to 1.2.1

Update biology/htslib.

Tested on poudriere for 10.1 and 9.3.
Comment 1 John Marino freebsd_committer 2015-03-05 14:01:41 UTC
can you upload one of the poudriere logs?

Did you use the "bulk -t" or "testport" option when running through poudriere to ensure the stage-qa tests are done?
Comment 2 cartwright 2015-03-05 17:40:34 UTC
Created attachment 153848 [details]
Poudriere Log for 9.3
Comment 3 cartwright 2015-03-05 17:40:56 UTC
Created attachment 153849 [details]
Poudriere Log for 10.1
Comment 4 cartwright 2015-03-05 17:41:06 UTC
Logs now Attached.
Comment 5 John Marino freebsd_committer 2015-03-05 17:43:45 UTC
thanks, everything looks good, promoting ...
Comment 6 commit-hook freebsd_committer 2015-03-06 12:45:41 UTC
A commit references this bug:

Author: robak
Date: Fri Mar  6 12:45:25 UTC 2015
New revision: 380596
URL: https://svnweb.freebsd.org/changeset/ports/380596

Log:
  biology/htslib: update 1.1 -> 1.2.1

  PR:		198291
  Submitted by:	Reed Cartwright <cartwright@asu.edu>

Changes:
  head/biology/htslib/Makefile
  head/biology/htslib/distinfo
  head/biology/htslib/files/patch-Makefile
  head/biology/htslib/files/patch-configure.ac
  head/biology/htslib/files/patch-cram_cram__io.c
  head/biology/htslib/pkg-plist
Comment 7 Bartek Rutkowski freebsd_committer 2015-03-06 12:46:57 UTC
Committed, thanks for you work!